# Interface ServerAuthConfig

All Superinterfaces:
  `AuthConfig`

public interface ServerAuthConfig extends AuthConfig

## Method Summary

Modifier and Type
Method
Description
`ServerAuthContext`
`getAuthContext(String authContextID, Subject serviceSubject, Map properties)`

### Methods inherited from interface AuthConfig

`getAppContext, getAuthContextID, getMessageLayer, isProtected, refresh`

## Method Details

### getAuthContext

ServerAuthContext getAuthContext(String authContextID, Subject serviceSubject, Map properties) throws AuthException

Throws:
  `AuthException`